#
# spec file for package python-google-auth-oauthlib
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-google-auth-oauthlib
Version:        0.4.5
Release:        bp155.2.12
Summary:        Google authentication library
License:        Apache-2.0
URL:            https://github.com/GoogleCloudPlatform/google-auth-library-python-oauthlib
Source:         https://files.pythonhosted.org/packages/source/g/google-auth-oauthlib/google-auth-oauthlib-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-google-auth
Requires:       python-requests-oauthlib >= 0.7.0
Requires:       python-six
Requires(post): update-alternatives
Requires(postun):update-alternatives
Recommends:     python-click
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module click >= 6.0.0}
BuildRequires:  %{python_module google-auth >= 1.0.0}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests-oauthlib >= 0.7.0}
BuildRequires:  %{python_module six}
%if %{with python2}
BuildRequires:  python-futures
%endif
# /SECTION
%ifpython2
Requires:       python-futures
%endif
%python_subpackages

%description
This library provides oauthlib integration with google-auth.

%prep
%setup -q -n google-auth-oauthlib-%{version}
rm -rf tests/__pycache__/
rm -rf tests/*.pyc

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/google-oauthlib-tool
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%post
%python_install_alternative google-oauthlib-tool

%postun
%python_uninstall_alternative google-oauthlib-tool

%files %{python_files}
%doc README.rst
%license LICENSE
%python_alternative %{_bindir}/google-oauthlib-tool
%{python_sitelib}/*

%changelog
* Fri Aug 20 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update 0.4.5:
  * fix links to installed app, client secrets docs (#86)
  * omit mention of Python 2.7 in 'CONTRIBUTING.rst' (#1127)
  * add Samples section to CONTRIBUTING.rst (#134)
  * release as 0.4.5 (#137)
- from version 0.4.4
  * add redirect_uri_trailing slash param to run_local_server (#111)
- from version 0.4.3
  * add `charset-utf-8` to response header (#104)
  * **deps:** add lower bounds to all dependencies (#99)
- from version 0.4.2
  * don't open browser if port is occupied (#92)
- Update BuildRequires from setup.py
* Tue May 26 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Tue Oct  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.1:
  * Don't auto-generate code_verifier by default. (#48)
* Thu Sep 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.4.0:
  * Add get_user_credentials function to get your user credentials (#40)
  * Add noxfile (#43)
  * Implement code verifier (PKCE) (#42)
  * Use actual server port in redirect_uri to allow automatic assignment (#33)
  * Fix links after repo move to googleapis (#41)
* Thu May  2 2019 Todd R <toddrme2178@gmail.com>
- Initial version
